louch48
Contributor
Contributor

SRM Upgrade from 4.1.2 to 5.0.1 issue

Hi,

I am trying to upgrade my SRM 4.1.2 to 5.0.1 but i am getting the following error message and it is not allowing me to proceed any further.

"Specified host/port does not refer to vcenter server"

I have recently upgraded to Vcenter 5.1a and all the hosts are on ESXi 5.1 with latest build.

I have also attahced a copy of the log file

Thank you for you help

0 Kudos
7 Replies
kastlr
Expert
Expert

Hi,

welcome to the community.

Did you tried to complete the installation with the user otpltd\vmadmin?

From the install logs it looks like during the first installation user otpltd\srmadmin was used.

Hth,

Ralf



Hope this helps a bit.
Greetings from Germany. (CET)
0 Kudos
louch48
Contributor
Contributor

Hi kastlr

I have tried with both usernames therefor its showing both of them in the log but none of thank works.

thank you for you reply

0 Kudos
admin
Immortal
Immortal

What is your VC version level now..??? You said you upgraded VC to 5.1  and attempting SRM upgrade from 4.1 to 5.0.1

So just clarification ??? Since VC 5.1 would not allow SRM 5.0 to register ......

Regards

Narendra

0 Kudos
louch48
Contributor
Contributor

Hi ,

SO i will note be able to upgarde SRM 4.X to 5.X since VC is on 5.1?

Is there any work around as i have a lot of scripts and steps configure on recovory plan and it will be a pain to redo all of them.

I had logged a ticked with vmware suppot and i was told this is a bug in SRM 5.0.X.

Thank you

0 Kudos
admin
Immortal
Immortal

Below are the Upgrade Factuals when a customer has SRM with VC:

1. VC can be Upgraded directly from 4.1 to 5.1 alone, when SRM is not tagged to VC 4.1.

2. SRM cannot be Upgarded from 4.1 to 5.1 directly and should take path 4.1.x --> 5.0.x --> 5.1.x

3. When Customer has tagged SRM 4.1 with VC 4.1

  Below are the options:

    - First Upgarde VC to 5.0, then upgrade SRM to 5.0

    - Then upgrade VC to 5.1 and SRM to 5.1

Regards

Narendra

0 Kudos
louch48
Contributor
Contributor

Thank you for you reply,

The options you suggested are not valid in my situation as i am already on VC 5.1.

Also i find this really hard to understand why i am able to intall SRM 4.1.2 with VC 5.1 and I can't  install SRM 5.0 with VC 5.1.

Surely vmware engineer should have thought about the upgrade paths to make the easy for the customer not go over 4 steps to upgrade SRM to 5.1:smileyangry:.

0 Kudos
admin
Immortal
Immortal

Since SRM is more binded with VC in terms of Registrations, API calls and many more technical functionality aspects.

So VMware recommonds the version levels of VC and SRM have to be alligned, to carry a Smoother workflow.

None of the Technical peer would proceed his upgrades without considering the dependent products and revealing the product release notes.

May i know your relation with VMware...???

Regards

Narendra

0 Kudos